POST api/mediwaveprogramstepapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
MediWaveProgramStepViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required Range: inclusive between 0 and ∞ |
|
| id | globally unique identifier |
None. |
|
| program_id | globally unique identifier |
Required |
|
| mediwave_program_step_type_id | globally unique identifier |
Required |
|
| name | string |
Required |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"code": 2,
"id": "726d1076-7376-40de-a0e4-ed3f321ef06b",
"program_id": "930baeaf-d889-4e8f-96be-b9f091577752",
"mediwave_program_step_type_id": "871922f9-daff-4041-ac03-a2374ae7fce8",
"name": "sample string 6"
}
application/xml, text/xml
Sample:
<mediwave_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>2</code> <id>726d1076-7376-40de-a0e4-ed3f321ef06b</id> <mediwave_program_step_type_id>871922f9-daff-4041-ac03-a2374ae7fce8</mediwave_program_step_type_id> <name>sample string 6</name> <program_id>930baeaf-d889-4e8f-96be-b9f091577752</program_id> </mediwave_program_step>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"e80d227e-55dc-489f-a46b-03d638d14ac0"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">e80d227e-55dc-489f-a46b-03d638d14ac0</guid>